<template>
    <b-container class="mt-4">
        <b-col cols="12">
            <b-row>
                <b-card
                    v-for="product in products" :key="product.id"
                    :title="product.name"
                    :img-src="product.photo"
                    img-alt="Image"
                    img-top
                    tag="article"
                    style="max-width: 20rem;"
                    class="mb-2"
                    img-height="320"
                    img-width="200"
                    >
                    <b-card-text>
                        Precio : ${{formatPrice(product.price)}}
                    </b-card-text>
                          <div class="quantity">
                            <button class="button-quantity" @click="removeFromCart(product)">-</button>
                            <input type="number" class="quantity-input" :value="product.qty==null?0:product.qty">
                            <button class="button-quantity" @click="addToCart(product)">+</button>
                        </div>
                </b-card>
            </b-row>
            <p v-if="products.length<1">No hay productos para esta categoria</p>
        </b-col>
    </b-container>
</template>
<script>
import axios from 'axios';
export default {
    name: 'Users',
    data: function() {
        return {
            products:[],
            quantity:0,
            product:{
                id: null,
                attributes: [
                    {
                        id: null,
                        name: null,
                        icon: null
                    },
                    {
                        id: null,
                        name: null,
                        icon: null
                    }
                ],
                qty:0,
                category: {
                    id: null,
                    name: null,
                    order: null
                },
                name: null,
                code: null,
                stock: null,
                abstract: null,
                description: null,
                price: null,
                photo: null
            }
        };
    },
    created() {
        this.$root.$refs.Products = this;
        this.getProducts();
    },
    methods: {
        getProducts(){
            var url = 'http://sva.talana.com:8000/api/product/';
            axios.get(url).then(response => {
                this.products=response.data;
            });
        },
        addToCart(item){
            if(item['qty']==null){
                item['qty']= new Number();
                item['qty']+=1;
            }else{
                item['qty']= item['qty']+1;
            }
            this.$root.$refs.App.addToCart(item);
        },
        removeFromCart(item){
            this.$root.$refs.App.removeFromCart(item);
        },
        formatPrice(value) {
            let val = (value / 1).toFixed(0).replace(".", ",");
            return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
        },
        getProductsByCategory(inId){
            var url = 'http://sva.talana.com:8000/api/product/';
            axios.get(url).then(response => {
                var list =response.data.filter(function(item) {
                    return item.category.id == Number(inId);
                });
                this.products=list;
            });
        }
      
    }
}
</script>
<style>
.quantity {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 32px;
}
.quantity-input {
  width: 36px;
  height: 36px;
  text-align: center;
  border-radius: 3px;
  border: 1px solid #929CAA;
  font-size: 16px;
  margin: 0 16px;
  color: var(--color-text);
}
.quantity-show {
  margin: 0 0 32px;
  color: var(--color-text);
  font-size: 14px;
  font-weight: 500;
  line-height: 21px;
}
.button-quantity {
  background: var(--color-bg);
  border: none;
  border-radius: 50%;
  font-size: 24px;
  padding: 7px 13px;
  cursor: pointer;
  color: var(--color-text);
  outline: none;
}

.button-quantity:disabled {
  opacity: .2;
}
</style>